Bug 448709 - Dual boot installation of F9 on a Disk with installed F8: F8 grub cannot read F9's /boot
Summary: Dual boot installation of F9 on a Disk with installed F8: F8 grub cannot read...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-28 11:30 UTC by Joachim Backes
Modified: 2009-01-09 07:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:56:44 UTC


Attachments (Terms of Use)

Description Joachim Backes 2008-05-28 11:30:00 UTC
Description of problem:
Having an F8 installation on my box with some free partition. On this free
partition I installed F9. So far so good: booting F9 was after install ok. Then
I rebooted into the old F8 and ma a new /boot/grub/menu.lst including F9. 

But re-writing the bootloader by grub-install failed: problems to read 
/boot/grub/stage1.
Booting after this with grub was impossible.

Checking the inode size of the F8 partition showed me that the inode size was
now 256.

It seems that the F9 installer had changed the inode size of the F8 partition to
256.

I had to rebuild the F8 partition by "mkfs.ext3 -I 128 ...", copy and re-copy...
After this, grub-install was running properly in F8.

Version-Release number of selected component (if applicable):

F9 installer

How reproducible:


Steps to Reproduce:
1.Install F9 on partiton with an installed F8
2.
3.
  
Actual results:
Rebooting into F8 and starting grub-install fails: checking the grub log in /tmp
showwed an error like: "Error 2: Bad file or directory type"

Expected results:
Bootloader is written

Additional info:

Comment 1 Jeremy Katz 2008-05-28 11:46:29 UTC
Did you change the filesystem type of anything to ext4?

Comment 2 Joachim Backes 2008-05-28 12:49:00 UTC
No. I installed F9 with ext3.

Comment 3 Eric Sandeen 2008-05-28 13:09:25 UTC
> It seems that the F9 installer had changed the inode size of the F8 partition to
> 256.

No, that's not possible, changing the inode size requires a reformat.  However,
F9 *does* default new filesystems to 256-byte inodes, as you saw, and we had to
do work in grub to make it able to cope with a 256-byte inode filesystem.

Where is your /boot filesystem, is it on a separate partition, who formattted
it, and what inode size does it have?

I think maybe we just need to backport the 256-byte inode grub fixes to F8.

-Eric

Comment 4 Joachim Backes 2008-05-28 13:35:20 UTC
No, /boot is and was part of / partition (I only remade / with a new inode
size), not a separate filesystem.

Comment 5 Joachim Backes 2008-05-28 13:45:25 UTC
Before remaking the / filesystem in F8, it had an inode size of 256, and I
re-changed it to 128. I think, before F9 installation, / had already an inode
size of 128. I checked this on other F8 systems. Who then is responsible for
setting the inode size to 256?

Comment 6 Eric Sandeen 2008-05-28 13:53:23 UTC
It is not possible to *change* the inode size of an existing filesystem.  It is
set, and fixed, at mkfs time and there is currently no tool to change it without
re-mkfs'ing the filesystem.  Therefore I am having a hard time believing that
your F8 filesystem simply changed inode sizes.  The inode size fundamentally
affects the filesystem geometry, and changing it would require specialized tools
which do not exist at this point.  :)  If the F8 root had a 256-byte inode size,
it *must* have been made that way at mkfs time.

So you have both F8 and F9 roots; each of them has its own /boot on the root fs?
 I am guessing that when you tried to run grub in f8, with a grub.conf that
referenced the 256-byte-inode-sized /boot for F9, it encountered this error.

-Eric

Comment 7 Joachim Backes 2008-05-28 14:05:10 UTC
You are right: both F8 and F9 have their own /boot directories (inside the /
dirs.) Now in F9, I made an own boot partition, and running grub-install in F8
with this new configuration was performed, but boot F9 now fails with Error 15.
(I'm sure I copied the F9 /boot completely into this new /boot partition, and I
modified the correspondent F8 menu.lst  entry for F9).

Comment 8 Eric Sandeen 2008-05-28 14:14:15 UTC
Ok.  Running grub from F9 should work, but running grub from F8, if it
references the 256-byte-inode /boot on the F9 installation, will fail.

Peter, can we add the 256-byte inode fixes to f8's grub?  I suppose I should
have thought of that before...

Thanks,
-Eric

Comment 9 Fedora Update System 2008-05-28 17:28:27 UTC
grub-0.97-33.1.fc8 has been submitted as an update for Fedora 8

Comment 10 Peter Jones 2008-05-28 17:29:47 UTC
Please test the grub package in updates-testing:

http://koji.fedoraproject.org/koji/buildinfo?buildID=50780

Comment 11 Joachim Backes 2008-05-29 09:29:58 UTC
Test has been successful. Thank you.

Comment 12 Fedora Update System 2008-05-31 02:12:02 UTC
grub-0.97-33.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grub'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4690

Comment 13 Fedora Update System 2008-06-20 19:06:43 UTC
grub-0.97-33.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Bug Zapper 2008-11-26 10:47:06 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2009-01-09 07:56:44 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.